The Tariff API provides endpoints for retrieving tariff information.
GET /v1/tariffsHeaders:
| Header | Value |
|---|---|
Authorization |
Bearer <TOKEN> |
Example Request:
curl -X GET \
'https://your-api-domain/v1/tariffs' \
-H 'Authorization: Bearer <YOUR_TOKEN>'
Example Success Response (200 OK):
{
"success": true,
"statusCode": 200,
"message": [
"Provider Tariffs retrieved successfully"
],
"data": [
{
"id": "462323",
"provider_id": "PROV-001",
"name": "Consultation",
"price": 10000,
"access_type": "direct"
},
{
"id": "462378",
"provider_id": "PROV-001",
"name": "Blood Test",
"price": 15000,
"access_type": "pre-auth"
}
]
}
Example Error Response (404 Not Found):
{
"success": false,
"statusCode": 404,
"message": [
"No record found"
],
"data": null
}
GET /v1/tariffs/updateRequest Body:
| Parameter | Type | Required | Description |
|---|---|---|---|
| given_date | date | Yes | The date to check for updates (YYYY-MM-DD). |
Headers:
| Header | Value |
|---|---|
Authorization |
Bearer <TOKEN> |
Example Request:
curl -X GET \
'https://your-api-domain/v1/tariffs/update' \
-H 'Authorization: Bearer <YOUR_TOKEN>' \
-H 'Content-Type: application/json' \
-d '{
"given_date":"2025-07-10"
}'
Example Success Response (200 OK):
{
"success": true,
"statusCode": 200,
"message": [
"Provider Tariffs Updates retrieved successfully"
],
"data": [
{
"id": "462323",
"provider_id": "PROV-001",
"name": "Consultation",
"price": 12000,
"access_type": "direct"
}
]
}
Example Error Response (404 Not Found):
{
"success": false,
"statusCode": 404,
"message": [
"No record found"
],
"data": null
}
The Claim API provides endpoints for submitting and managing claims, pre-authorizations, and invoices.
POST /v1/claimsHeaders:
| Header | Value |
|---|---|
Authorization |
Bearer <TOKEN> |
Request Body:
The request body must be a JSON object containing the claim details.
{
"batch_no": "BATCH-2025-001",
"authorization_no": "ATI-2025-000001",
"attendance_date": "2025-07-11",
"doctor": {
"name": "KENANI KIZINGA",
"gender": "MALE",
"phone": "255763774209",
"email": "kkinga@bnb.co.tz",
"license": "MC/3495848",
"speciality": "GYNAECOLOGIST",
"level": "SPECIALIST",
"level_code": "D04"
},
"complain": "Patient exhibits several concerning symptoms that align with complications commonly associated with maralia",
"diagnosis": [
{ "code": "O89.6", "type": "Principal" },
{ "code": "N39.0", "type": "Secondary" },
{ "code": "K20", "type": "Secondary" }
],
"breakup": [
{ "id": "648184", "type": "medication", "quantity": 1, "amount": 16500 },
{ "id": "648137", "type": "medication", "quantity": 1, "amount": 17600 },
{ "id": "417028", "type": "investigation", "quantity": 1, "amount": 5000 },
{ "id": "462323", "type": "investigation", "quantity": 1, "amount": 300000 },
]
}
Example Request:
curl -X POST \
'https://your-api-domain/v1/claims/submit' \
-H 'Authorization: Bearer <YOUR_TOKEN>' \
-H 'Content-Type: application/json' \
-d '{
"batch_no": "BATCH-2025-001",
"authorization_no": "ATI-2025-000001",
"attendance_date": "2025-07-11",
"doctor": {
"name": "KENANI KIZINGA",
"gender": "MALE",
"phone": "255763774209",
"email": "kkinga@bnb.co.tz",
"license": "MC/3495848",
"speciality": "GYNAECOLOGIST",
"level": "SPECIALIST",
"level_code": "D04"
},
"complain": "Patient exhibits several concerning symptoms that align with complications commonly associated with maralia",
"diagnosis": [
{ "code": "O89.6", "type": "Principal" },
{ "code": "N39.0", "type": "Secondary" },
{ "code": "K20", "type": "Secondary" }
],
"breakup": [
{ "id": "648184", "type": "medication", "quantity": 1, "amount": 16500 },
{ "id": "648137", "type": "medication", "quantity": 1, "amount": 17600 },
{ "id": "417028", "type": "investigation", "quantity": 1, "amount": 5000 },
{ "id": "462323", "type": "investigation", "quantity": 1, "amount": 300000 },
]
}'
Example Success Response (200 OK):
{
"success": true,
"statusCode": 200,
"message": [
"Claim submitted successfully"
],
"data": {
"claim_no": "CLM-2025-0001",
"amount_claimed": 45000
}
}
GET /v1/claims/batch/{batch_no}Url Parameters:
| Parameter | Type | Required | Description |
|---|---|---|---|
batch_no |
string | No | The batch number to filter claims by. |
Headers:
| Header | Value |
|---|---|
Authorization |
Bearer <TOKEN> |
Example Request:
curl -X GET \
'https://your-api-domain/v1/claims/batch/BATCH-2025-001' \
-H 'Authorization: Bearer <YOUR_TOKEN>'
Example Success Response (200 OK):
{
"success": true,
"statusCode": 200,
"message": [
"Claims retrieved successfully"
],
"data": [
{
"claim_no": "CLM-2025-0001",
"member_name": "John Doe",
"attendance_date": "2025-06-20",
"claimed_amount": 45000,
"status": "Received"
}
]
}
GET /v1/claims/{claim_no}Url Parameters:
| Parameter | Type | Required | Description |
|---|---|---|---|
claim_no |
string | No | The claim number to filter claims by. |
Headers:
| Header | Value |
|---|---|
Authorization |
Bearer <TOKEN> |
Example Request:
curl -X GET \
'https://your-api-domain/v1/claims/API2508040001' \
-H 'Authorization: Bearer <YOUR_TOKEN>'
Example Success Response (200 OK):
{
"success": true,
"statusCode": 200,
"message": [
"Claims Retrieved"
],
"data": [
{
"claim_no": "API2508040001",
"member_name": "John Doe",
"attendance_date": "2025-06-20",
"claimed_amount": 45000,
"status": "Received"
}
]
}
POST /v1/claims/docRequest Body Parameters:
| Parameter | Type | Description |
|---|---|---|
claim_no |
string | The claim number. |
attachment |
string | file in base64 string |
Headers:
| Header | Value |
|---|---|
Authorization |
Bearer <TOKEN> |
Example Request:
curl -X POST \
'https://your-api-domain/v1/claims/doc' \
-H 'Authorization: Bearer <YOUR_TOKEN>' \
-H 'Content-Type: application/json' \
-d '{
"claim_no": "PA-25-000001",
"attachment": "data:image\/jpg;base64,\/9j\/4AAQSkZJRgABAQEAyADIAAD...................."
}'
Example Success Response (200 OK):
{
"success": true,
"statusCode": 200,
"message": [
"Document uploaded successful"
],
"data": null
}
Example Error Response (404 Not Found):
{
"success": false,
"statusCode": 404,
"message": [
"Pre Authorization not found"
],
"data": null
}